1. Уважаемые пользователи, прежде чем ответить в теме или создать новую,
    внимательно ознакомьтесь с правилами раздела

    Кому лень работать или руки не оттуда - пользуйтесь услугами специалистов
  2. Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.."

    Есть JED!!! Ищите там!!!

[Moved] JDefender v1.0

Тема в разделе "Joomla", создана пользователем krasniy, 9 сен 2007.

Информация :
  • Уважаемые пользователи, прежде чем ответить в теме или создать новую, внимательно ознакомьтесь с правилами раздела
  • Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.." Есть JED!!! Ищите там!!!
  • Аналоги ищите там же - на JED!!!
  • Новая версия? - У кого будет - тот выложит!
Статус темы:
Закрыта.
Модераторы: arman29, DMS, Genk0
  1. krasniy

    krasniy

    Регистр.:
    21 апр 2006
    Сообщения:
    712
    Симпатии:
    112
    JDefender - Ultimate Joomla Protection. Component that protects Joomla from Flood, PHP Injections, MySql Injections for any component. "Must have" for everyone taking care of the site security.

    http://rapidshare.com/files/54470079/JDefender.Unpack.First.v.1.0.rar.html
     
    kraman и CAPAXA нравится это.
  2. CAPAXA

    CAPAXA

    Регистр.:
    7 июн 2007
    Сообщения:
    903
    Симпатии:
    540
    В дополнение к нему еще можно использовать Jcheck (проверка файлов на предмет изменения).
    Качаем полную версию http://www.nulled.ws/showthread.php?p=225386#post225386
    Не забываем жать "спасибо"
     
    domatas нравится это.
  3. GBZ_team

    GBZ_team Создатель

    Регистр.:
    12 фев 2007
    Сообщения:
    45
    Симпатии:
    5
    странная вещь, но меня этот дефендер отправил в бан, сразу после того как я его включил, пока сыроват на мой взгляд. Нет возможности редактировать лист разрешенных айпишников ай-пишников.
    Надеюсь в следующей версии будет исправлено
     
  4. CAPAXA

    CAPAXA

    Регистр.:
    7 июн 2007
    Сообщения:
    903
    Симпатии:
    540
    У меня тоже так было. Оказалось разработчик немного криворук и не сделал совместимость с более ранними версиями Джумлы ибо начинает работать только на 1.0.12
    Для совместимости надо в файле admin.jdefender.php
    дописать после
    Код:
    defined( '_VALID_MOS' ) or die( 'Доступ ограничен' );
    это
    Код:
    if (!function_exists('josGetArrayInts')) {
      function josGetArrayInts( $name, $type=NULL ) {
        if ( $type == NULL ) {
            $type = $_POST;
        }
    
        $array = mosGetParam( $type, $name, array(0) );
    
        mosArrayToInts( $array );
    
        if (!is_array( $array )) {
            $array = array(0);
        }
    
        return $array;
     }
    }
    Усё теперь работает и на 1.0.10
    :yahoo:
     
Статус темы:
Закрыта.